View Single Post
  #1  
Old 24th May 2009, 17:06
dpicella dpicella is offline
Senior Member
 
Join Date: Apr 2009
Posts: 116
Thanks: 9
Thanked 8 Times in 7 Posts
Default Apache Configuration AllowOverride: "Options not allowed here" problems

I'm using the latest upgrade to ISPConfig 3 v3.0.1.2

I would like to allow users to browse password protected directories. I have tried setting up apache directives in:
.htaccess
.htpasswd
This works out OK, however, If I try to use the Apache "Options" directive for anything, I get the log error
"Options not allowed here"
I tried modifying the website conf files and setting "AllowOverride All"

But this does not work

I have the same problem when trying to use anything.cgi even though the CGI box is checked off on the website config.

For CGI, it states that "Options ExecCGI" is off ... turning it on in .htaccess produces the "Options not allowed here" error.

If I set AllowOverride to "All" shouldn't I be able to use the Options in .htaccess?

What am I doing wrong? I notice that there are a lot of AllowOverride directives in the ISPConfig files, so I am thinking there may be a conflict somewhere ... but it is weird that I can't use cgi when the website check box is configured to do so.

Thank you for any advice.

Cheers!

Last edited by dpicella; 24th May 2009 at 17:08. Reason: typos
Reply With Quote
Sponsored Links